import { ISignUpResult, CognitoUser, CognitoUserSession } from 'amazon-cognito-identity-js';
declare global {
    interface Window {
        SignOut: typeof CognitoApiManagerInstance.prototype.SignOut;
    }
}
export declare class CognitoApiManagerInstance {
    init(): void;
    GetUserIdToken(): Promise<string>;
    GetUserId(): Promise<string>;
    GetCurrentUserSession(): Promise<CognitoUserSession>;
    SignUp(email: string, password: string): Promise<ISignUpResult>;
    AuthUser(email: string, password: string): Promise<CognitoUserSession>;
    SignOut(): void;
    GetCurrentUser(): CognitoUser;
}
export declare const CognitoApiManager: CognitoApiManagerInstance;
