import { CollectionSchema, ProductSchema } from '@byondrnd/showroom-schemas';
export interface CatalogInfo {
    userEmail: string;
    userPassword: string;
    userOrgID: string;
    catalogIDs: string[];
    filters?: string[];
}
export declare class CatalogManager {
    catalogs: Map<string, CollectionSchema.ICatalog>;
    catalogInfo: CatalogInfo;
    collectionMap: Map<string, Array<CollectionSchema.ICollection>>;
    constructor(catalogLoginInfo: CatalogInfo);
    init(): Promise<void>;
    getCatalogCollections(): CollectionSchema.ICollection[];
    GetProductList(filters: {
        name: string;
        options: string[];
    }[]): ProductSchema.IProduct[];
    productMatchFilter(products: ProductSchema.IProduct[], filters: {
        name: string;
        options: string[];
    }[]): ProductSchema.IProduct[];
    getFullProductDetails(productId: string): Promise<any>;
    getFilters(): {
        name: string;
        options: string[];
    }[];
    loadCatalogs(): Promise<CollectionSchema.ICatalog>;
    loadCatalogCollections(): Promise<CollectionSchema.ICollection[]>;
    loadCatalogsCollections(): Promise<void>;
}
