import { ProductSchema } from '@byondrnd/showroom-schemas';
import { Visualizer } from '../../../Visualizer';
import { LayerDisplay } from './LayerDisplay';
import { CatalogManager } from '../../CatalogManager/CatalogManager';
export declare class ProductsManager {
    visualizer: Visualizer;
    displayedProductsMap: Map<string, LayerDisplay>;
    favoriteProducts: Array<string>;
    favoriteSets: Array<Array<string>>;
    catalogManager: CatalogManager;
    cart: string[];
    constructor(visualizer: Visualizer, catalogManager: CatalogManager);
    displayProduct(productId: string): Promise<any>;
    undisplayProduct(product: ProductSchema.IProduct): void;
    addToCart(productIDs: string[]): void;
    removeFromCart(productIDs: string[]): void;
    getFavoriteProducts(): Array<string>;
    addProductToFavorite(productID: string): void;
    removeProductFromFavorites(productID: string): void;
    getFavoriteSets(): Array<Array<string>>;
    addSetToFavorites(productIDs?: Array<string>): void;
    removeSetFromFavorites(productIDs?: Array<string>): void;
    getApplicationLayerDisplay(application: string): Promise<LayerDisplay>;
    getDisplayedProductsIDs(): Array<string>;
    findSetIndexInFavorites(productIDs: Array<string>): number;
}
