import { Utils, AppManager } from '@byondrnd/byond-web-lib';
import { ProductSchema } from '@byondrnd/showroom-schemas';
import { CatalogInfo, CatalogManager } from './Managers/CatalogManager/CatalogManager';
import { ProductsManager } from './Managers/Scene/ProductsManager/ProductsManager';
import { EventSystem, EventSystemEventSignature, EventSystemEventDataSignature } from './EventSystem/EventTypes';
export declare class Visualizer extends EventSystem {
    appManager: AppManager;
    container: string;
    containerElement: HTMLDivElement;
    zone: string;
    catalogManager: CatalogManager;
    productsManager: ProductsManager;
    debug: boolean;
    pubs: Utils.RxUtils.Subscription[];
    constructor(containerId: string, catalogInfo: CatalogInfo, zone?: string, debug?: boolean);
    emit(eventName: EventSystemEventSignature, ...args: EventSystemEventDataSignature): boolean;
    initAndLoad(): Promise<void>;
    getSelections(): Array<string>;
    getFavoriteProducts(): Array<string>;
    getFavoriteSets(): Array<Array<string>>;
    addProductToFavorite(productId: string): void;
    addSetToFavorite(productIds: string[]): void;
    addProductsToCart(productIds: string[]): void;
    removeProductFromFavorite(productId: string): void;
    removeSetFromFavorite(productIds: string[]): void;
    removeProductsFromCart(productIds: string[]): void;
    GetProductList(filters: {
        name: string;
        options: string[];
    }[]): ProductSchema.IProduct[];
    GetHotspotList(): string[];
    GetFilters(): {
        name: string;
        options: string[];
    }[];
    GetCatalogList(): Promise<string[][]>;
    displayProduct(productId: string): Promise<void>;
    private initCatalog;
    private initAndLoadScene;
    private initScene;
    private unRegisterEvents;
    private registerEvents;
    private registerContainerSizeEvents;
    private loadScene;
}
