import { ProductSchema, ShowroomSchemas, BaseFieldSchemas } from '@byondrnd/showroom-schemas';
export declare type ProductMediaTypes = 'frontal_image' | 'right_image' | 'back_image' | 'left_image' | 'additional_images';
export declare function isImageMediaType(type: ProductMediaTypes): boolean;
export declare function isImageMedia(productMedia: BaseFieldSchemas.BaseProductMediaFieldSchema.IBaseProductMediaField): boolean;
export declare function GetMediaByType(product: ProductSchema.IProduct, type: ProductMediaTypes): import("@byondrnd/showroom-schemas/dist/types/schemas/MediaSchema").IMedia;
export declare function getProductBoard(showroom: ShowroomSchemas.ShowroomSchema.IShowroom, selectedProductID: string): ShowroomSchemas.BoardSchema.IBoard;
export declare const GetFrontMediaUrl: (product: ProductSchema.IProduct) => string;
export declare const GetDisplayMedia: (product: ShowroomSchemas.ItemSchema.IProductItem3D) => import("@byondrnd/showroom-schemas/dist/types/schemas/MediaSchema").IMedia;
export declare function getInitialQuantities(product: ProductSchema.IProduct): {
    quantity: number;
    size: {
        type: string;
        value: any;
    };
}[];
export declare function getOptimisticProduct(partialProduct: Partial<ProductSchema.IProduct>, frontMediaUrl: string): {
    __typename: string;
    _id: string;
    medias: {
        __typename: string;
        _id: string;
        type: string;
        value: {
            __typename: string;
            _id: string;
            type: string;
            width: number;
            height: number;
            value: {
                __typename: string;
                type: string;
                value: string;
            }[];
        };
    }[];
    style: {
        _id: string;
        __typename: string;
        name: string;
    };
    productCollection: {
        _id: string;
        name: string;
        __typename: string;
    };
    variety: any[];
    textures: any[];
    createdAt: string;
    updatedAt: string;
    availabilityDate: string;
    expirationDate: string;
    customFields: any[];
    customMediaFields: any[];
    tags: any[];
    sizes: any[];
    colors: any[];
    designer: string;
    category: string;
    sku: string;
    company: string;
    garment: string;
    byond_id: string;
    title: string;
    description: string;
    status: {
        archived: any;
        __typename: string;
    };
    wholesalePrice: {
        type: string;
        value: string;
        __typename: string;
    };
    consumerPrice: {
        type: string;
        value: string;
        __typename: string;
    };
};
export declare function getCustomField(product: ProductSchema.IProduct, key: string): string | number | Array<any>;
